from odoo import api, fields, models
from odoo.exceptions import UserError, AccessError, ValidationError
from datetime import datetime
from dateutil import relativedelta


class CustomProject(models.Model):
    _inherit = 'project.project'

    revenue_amount_lines = fields.One2many('project.revenue.lines' , 'project_id')

class ProjectRevenueLines(models.Model):
    _name = 'project.revenue.lines'

    project_id  = fields.Many2one('project.project')
    start_date = fields.Date(required=True)
    end_date = fields.Date(required=True)
    fixed_amount = fields.Float()








